lwIP 2.1.3 Lightweight IP stack

Macros | Functions
NETIF related
APIs » Sequential-style APIs » NETIF API

## Macros
#define | netifapi_netif_remove(n) netifapi_netif_common(n, netif_remove, NULL)
#define | netifapi_netif_set_up(n) netifapi_netif_common(n, netif_set_up, NULL)
#define | netifapi_netif_set_down(n) netifapi_netif_common(n, netif_set_down, NULL)
#define | netifapi_netif_set_default(n) netifapi_netif_common(n, netif_set_default, NULL)
#define | netifapi_netif_set_link_up(n) netifapi_netif_common(n, netif_set_link_up, NULL)
#define | netifapi_netif_set_link_down(n) netifapi_netif_common(n, netif_set_link_down, NULL)

## Functions
err_t | netifapi_netif_add (struct netif *netif, const ip4_addr_t *ipaddr, const ip4_addr_t *netmask, const ip4_addr_t *gw, void *state, netif_init_fn init, netif_input_fn input)
err_t | netifapi_netif_set_addr (struct netif *netif, const ip4_addr_t *ipaddr, const ip4_addr_t *netmask, const ip4_addr_t *gw)
err_t | netifapi_netif_name_to_index (const char *name, u8_t *idx)
err_t | netifapi_netif_index_to_name (u8_t idx, char *name)

## Detailed Description

To be called from non-TCPIP threads

## Macro Definition Documentation

## ◆ netifapi_netif_remove

#define netifapi_netif_remove | ( |  | n | ) | netifapi_netif_common(n, netif_remove, NULL)

See also
  netif_remove()

## ◆ netifapi_netif_set_default

#define netifapi_netif_set_default | ( |  | n | ) | netifapi_netif_common(n, netif_set_default, NULL)

See also
  netif_set_default()

## ◆ netifapi_netif_set_down

#define netifapi_netif_set_down | ( |  | n | ) | netifapi_netif_common(n, netif_set_down, NULL)

See also
  netif_set_down()

## ◆ netifapi_netif_set_link_down

#define netifapi_netif_set_link_down | ( |  | n | ) | netifapi_netif_common(n, netif_set_link_down, NULL)

See also
  netif_set_link_down()

## ◆ netifapi_netif_set_link_up

#define netifapi_netif_set_link_up | ( |  | n | ) | netifapi_netif_common(n, netif_set_link_up, NULL)

See also
  netif_set_link_up()

## ◆ netifapi_netif_set_up

#define netifapi_netif_set_up | ( |  | n | ) | netifapi_netif_common(n, netif_set_up, NULL)

See also
  netif_set_up()

## Function Documentation

## ◆ netifapi_netif_add()

err_t netifapi_netif_add | ( | struct netif * | netif,
|  | const ip4_addr_t * | ipaddr,
|  | const ip4_addr_t * | netmask,
|  | const ip4_addr_t * | gw,
|  | void * | state,
|  | netif_init_fn | init,
|  | netif_input_fn | input
| ) |  |

Call netif_add() in a thread-safe way by running that function inside the tcpip_thread context.

Note
  for params

See also
  netif_add()

## ◆ netifapi_netif_index_to_name()

err_t netifapi_netif_index_to_name | ( | u8_t | idx,
|  | char * | name
| ) |  |

Call netif_index_to_name() in a thread-safe way by running that function inside the tcpip_thread context.

Parameters

  idx | the interface index of the netif
  name | output name of the found netif, empty '\0' string if netif not found. name should be of at least NETIF_NAMESIZE bytes

## ◆ netifapi_netif_name_to_index()

err_t netifapi_netif_name_to_index | ( | const char * | name,
|  | u8_t * | idx
| ) |  |

Call netif_name_to_index() in a thread-safe way by running that function inside the tcpip_thread context.

Parameters

  name | the interface name of the netif
  idx | output index of the found netif

## ◆ netifapi_netif_set_addr()

err_t netifapi_netif_set_addr | ( | struct netif * | netif,
|  | const ip4_addr_t * | ipaddr,
|  | const ip4_addr_t * | netmask,
|  | const ip4_addr_t * | gw
| ) |  |

Call netif_set_addr() in a thread-safe way by running that function inside the tcpip_thread context.

Note
  for params

See also
  netif_set_addr()